Subject: Re: Infocom games
From: [email-masked] (TIM SHOPPA)
Date: 28 Apr 1993 09:10 PST
Newsgroups: comp.sys.dec.micro

In article <[email-masked]>, [email-masked] (Paul Olson) writes...
>In article <[email-masked]>, [email-masked] (Bruce Gold) writes...
>>I wonder if Infocom still exists and if any of their adventure games are still
>>available for Rainbow operation.  I like the ones I have, zork1, zork2,
>>				Bruce Gold
>Last I knew, Infocom was bought out by another company, Activision, I think. 
>They released a package of 20 Infocom games called The Lost Treasures of
>Infocom.  I picked up a copy for my Amiga, which allowed me to lend my 'bow to
>my brother, since the Infocom games were the only reason I was keeping the 'bow
>around.  The company later released Lost Treasures of Infocom II, which included
>the remainder of the Infocom games, but only for the PC, not for the Amiga.

	Yes, the infocom games are available, and you can even find them
in an occasional electronic game store!  Most of the ones in the package
(with the possible exception of Zork 0) use the same executable which
interprets Z-code in dat files - one data file to each game.
	I got a CD-ROM intended for the
IBM-PC, but not having access to a PC-clone with a CD drive, I loaded the
files into a HP workstation running HP-(S)UX.  I then found a public domain
Z-code interpreter (there are several available on the net, see one
of the interactive-fiction newsgroups for references), compiled it on the HP,
and could run nearly all of the data files that were on the CD-ROM.  There
was something very special about Zork 0, I believe, which made it
not possible to run in this hacked up way.  It appeared to have its own
special executable.
	My next goal: to port the Z-code interpreter to my PDP-11.  It's
written in C, and I just got DECUS C up and running on my 11/23+ RSX system.
Some stuff will have to be pared down, but I think it can be made to work.
After all, the original Z-code interpreter was on a PDP-11, I believe!

				Tim ([email-masked])

P.S. Regarding the original question, the Infocom code apparently uses
very little of the IBM-PC hardware, (with the exception of Zork 0 again),
so it would probably directly run on anything even vaguely compatible with
MS-DOS.  If not, you could always do what I did, and compile a Z-code
interpreter!

P.P.S.  Nothing will ever compare with Infocom's version of Hitchiker's Guide!
Make absolutely sure you get it!

X-NEWS: eisner comp.sys.dec.micro: 120
Relay-Version: VMS News - V6.1 30/1/93 VAX/VMS V5.5-1; site eisner.decus.org
Path: eisner.decus.org!noc.near.net!nic.umass.edu!caen!saimiri.primate.wisc.edu!eng.ufl.edu!
 usenet.ufl.edu!gatech!ukma!news1.gsfc.nasa.gov!charon.gsfc.nasa.gov!paul
Newsgroups: comp.sys.dec.micro
Subject: Re: Infocom games
Message-ID: <[email-masked]>
From: [email-masked] (Paul Olson)
Date: Mon, 26 Apr 1993 16:15:00 GMT
Sender: [email-masked]
References: <[email-masked]>
Organization: Mission Operations and Data Systems
Keywords: zork dungeon MDL adventure infocom
News-Software: VAX/VMS VNEWS 1.41    
Lines: 24

In article <[email-masked]>, [email-masked] (Bruce Gold) writes...
>I wonder if Infocom still exists and if any of their adventure games are still
>available for Rainbow operation.  I like the ones I have, zork1, zork2,
>planetfall, starcross, moonmist, leathergoddesses and some underground robot game
>whose name isn't coming at the moment.
> 
>Thoughts?  Information?
>-- 
>				Bruce Gold
>				   Utah

Last I knew, Infocom was bought out by another company, Activision, I think. 
They released a package of 20 Infocom games called The Lost Treasures of
Infocom.  I picked up a copy for my Amiga, which allowed me to lend my 'bow to
my brother, since the Infocom games were the only reason I was keeping the 'bow
around.  The company later released Lost Treasures of Infocom II, which included
the remainder of the Infocom games, but only for the PC, not for the Amiga.

       __  Paul J. Olson - VAX Systems Manager & Resident Amiga Addict
  C=  ///  Voice -    301/286-4246, 301/210-7701
 __  ///   DECnet-    CHARON::PAUL                                    
 \\\///    Internet - [email-masked]                       
  \XX/     Disclaimer: Statements in my messages are wholely my own.   
  AMIGA    "Nobody has ever taxed a nation into prosperity." - George Will

X-NEWS: eisner comp.sys.dec.micro: 118
Relay-Version: VMS News - V6.1 30/1/93 VAX/VMS V5.5-1; site eisner.decus.org
Path: eisner.decus.org!noc.near.net!howland.reston.ans.net!agate!linus!linus.mitre.org!art
Newsgroups: comp.sys.dec.micro
Subject: Re: Infocom games
Message-ID: <[email-masked]>
From: [email-masked] (Arthur T. McClinton)
Date: Mon, 26 Apr 1993 15:19:57 GMT
Sender: [email-masked] (News Service)
References: <[email-masked]>
Organization: The MITRE Corp. McLean Va.
Keywords: zork dungeon MDL adventure infocom
Originator: art@cyclone
Nntp-Posting-Host: cyclone.mitre.org
Lines: 36

In article <[email-masked]>, [email-masked] (Bruce Gold) writes:
> 
> I wonder if Infocom still exists and if any of their adventure games are still
> available for Rainbow operation.  I like the ones I have, zork1, zork2,
> planetfall, starcross, moonmist, leathergoddesses and some underground robot game
> whose name isn't coming at the moment.
> 
> Thoughts?  Information?
> -- 
> 				Bruce Gold
> 				   Utah

Yes Info com exists.  My son had me purchase their treasury of games.  They know have packaged all of the games in two boxes.  The Volume one is the old set
that runs on the Rainbow.  They are know sold for the IBM PC where you run them
under ANSI to get the VT100 escape sequennces to work.  The games really
have the same executable and a different data file.  The only difference is the
executable has the data file embedded.  We moved some of the rainbow games to
the IBM PC, I have not tried the reverse but I do not know why it would not
work.

I have a copy of Millionaire game (un-opened for the Rainbow) that would be
willing to sell.

I also have most of the other games mentioned above.  Would have to check
with the master of the rainbow to see if he would sell any others.

*
*---Art
*
*Arthur T. McClinton Jr.     Internet: [email-masked]
*The Mitre Corporation       Phone: 703-883-6356
*7525 Colshire Dr.           Internal Mitre: ART@AERA785 or M10319@MWVM
*McLean, Va. 22102-3481      DCS: MCCLINTON
*                            FAX: 703-883-1964

X-NEWS: eisner comp.sys.dec.micro: 128
Relay-Version: VMS News - V6.1 30/1/93 VAX/VMS V5.5-2; site eisner.decus.org
Path: eisner.decus.org!noc.near.net!howland.reston.ans.net!zaphod.mps.ohio-state.edu!math.ohio-state.edu!not-for-mail
Newsgroups: comp.sys.dec.micro
Subject: Re: Infocom games
Message-ID: <[email-masked]>
From: [email-masked] (Ethan Dicks)
Date: 30 Apr 1993 02:13:45 -0400
References: <[email-masked]> <[email-masked]> <[email-masked]>
Distribution: world
Organization: Department of Mathematics, The Ohio State University
Keywords: zork dungeon MDL adventure infocom
NNTP-Posting-Host: math.mps.ohio-state.edu
Lines: 23

In article <[email-masked]> [email-masked] (TIM SHOPPA) writes:

>	My next goal: to port the Z-code interpreter to my PDP-11.  It's
>written in C, and I just got DECUS C up and running on my 11/23+ RSX system.
>Some stuff will have to be pared down, but I think it can be made to work.
>After all, the original Z-code interpreter was on a PDP-11, I believe!

I remember seeing "Planetfall" on the rack at a digital store over 10 years
ago.  I have read the various entries in the Infocom FAQ list found on
rec.games.int-fiction and found some of the oldest titles listed for RT-11.
Has anyone out there actually seen an Infocom game for the PDP-11?  I only
ever saw the package; I didn't see it run.

I'd love to get a copy and hack on it.

-ethan

-- 
This message was (fortunately) not brought to you by Intel...
  "Intel: bringing you the "backward" in backward compatibilty."

[email-masked] -or- [email-masked]

X-NEWS: eisner comp.sys.dec.micro: 129
Relay-Version: VMS News - V6.1 30/1/93 VAX/VMS V5.5-2; site eisner.decus.org
Path: eisner.decus.org!noc.near.net!uunet!world!mbg
Newsgroups: comp.sys.dec.micro
Subject: Re: Infocom games
Message-ID: <[email-masked]>
From: [email-masked] (Megan)
Date: Fri, 30 Apr 1993 21:12:20 GMT
References: <[email-masked]> <[email-masked]> 
 <[email-masked]> <[email-masked]>
Organization: The World Public Access UNIX, Brookline, MA
Keywords: zork dungeon MDL adventure infocom
Lines: 32

[email-masked] (Ethan Dicks) writes:

>I remember seeing "Planetfall" on the rack at a digital store over 10 years
>ago.  I have read the various entries in the Infocom FAQ list found on
>rec.games.int-fiction and found some of the oldest titles listed for RT-11.
>Has anyone out there actually seen an Infocom game for the PDP-11?  I only
>ever saw the package; I didn't see it run.

	The earliest/first one I remember was a version of Zork (later
	called Zork I) which ran on PDP-11's under RT-11.

	I had a copy back in 1980 which I had running on a PDT-11/150
	in the computer gaming room of Noreascon II (1980 world science
	fiction convention).  In addition, I had a GT40 for playing
	lunar lander (I have the sources for it as well as a few other
	gt40 programs).  As for the Zork game, I only had it to run
	for the length of the convention, then I had to get rid of
	it (licensing...)

	I remember having to write a program which would allow
	down-loading of the gt40 over a serial line connected to
	the PDT.  I still have a copy of it...

>I'd love to get a copy and hack on it

	I don't think so, they only made executables available...

	There was, however, a set of sources to Dungeon made available
	years ago (I may even still have them).

					Megan

X-NEWS: eisner comp.sys.dec.micro: 131
Relay-Version: VMS News - V6.1 30/1/93 VAX/VMS V5.5-2; site eisner.decus.org
Path: eisner.decus.org!noc.near.net!howland.reston.ans.net!usenet.ins.cwru.edu!magnus.acs.ohio-state.edu!csn!boulder.parcplace.com!imp
Newsgroups: comp.sys.dec.micro
Subject: Re: Infocom games
Message-ID: <[email-masked]>
From: [email-masked] (Warner Losh)
Date: Sat, 1 May 1993 00:21:53 GMT
Sender: [email-masked]
References: <[email-masked]> <[email-masked]> <[email-masked]>
Organization: ParcPlace Boulder
Keywords: zork dungeon MDL adventure infocom
Lines: 15

In article <[email-masked]> [email-masked] (Megan) writes:
>	The earliest/first one I remember was a version of Zork (later
>	called Zork I) which ran on PDP-11's under RT-11.

This version of Zork was later "ported" to unix by brute force.  I
think that the system calls were hacked to be unix like (or a PDP-11
unix version was released).  There is an image in the VAX BSD port
that is DUNGEO that is the -11 image.  The vaxen would execute it in
compatibility mode.

Warner

-- 
Warner Losh		[email-masked]	ParcPlace Boulder
I've almost finished my brute force solution to subtlety.
X-NEWS: eisner junkcomp: 62408
Relay-Version: VMS News - V6.1 30/1/93 VAX/VMS V5.5-2; site eisner.decus.org
Path: eisner.decus.org!noc.near.net!howland.reston.ans.net!agate!ucbvax!GAR.UNION.EDU!PEEKB
Newsgroups: comp.sys.apple2
Subject: Re: Infocom Games
Message-ID: <[email-masked]>
From: [email-masked] ("Brian Peek, w/ A. Rauch ", CABBS)
Date: 6 Jun 93 05:45:00 GMT
Sender: [email-masked]
Distribution: world
Organization: The Internet
Lines: 13

The ftp site for InfocomPro is ftp.gmd.de.  It is in the
/if-archive/infocom/tools/apple directory.

 ______________
|  Brian Peek  |______________________________
|                                             |
| Internet: [email-masked]               | Kid's Korner:  Capture this
|-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-| .sig, print it out, and you
| To continue,                                | will  have  your  very  own
|     press <CONTROL>-<OPEN APPLE>-<RESET>.   | Rolodex   card   with    my
|               _           _                 | information!
|______________/ \_________/ \________________|